=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: asciidoc-base,
               dbus <!nocheck>,
               debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomedesktop-3.0 (>= 3.33.4) <!nocheck>,
               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gnome-control-center-dev (>= 1:3.4),
               gnome-pkg-tools (>= 0.11),
               gnome-settings-daemon-common <!nocheck>,
               gobject-introspection (>= 1.49.1),
               gsettings-desktop-schemas-dev (>= 3.33.1),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libcroco3-dev (>= 0.6.8),
               libecal2.0-dev (>= 3.33.1),
               libedataserver1.2-dev (>= 3.17.2),
               libgcr-3-dev (>= 3.7.5),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.57.3),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.57.2),
               libgnome-autoar-0-dev,
               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
               libgnome-menu-3-dev,
               libgstreamer1.0-dev (>= 0.11.92),
               libgtk-3-dev (>= 3.21.6),
               libibus-1.0-dev,
               libjson-glib-dev,
               libmutter-5-dev (>= 3.34.1),
               libnm-dev (>= 1.10.4) [linux-any],
               libpolkit-agent-1-dev (>= 0.100),
               libpulse-dev (>= 2.0),
               libsecret-1-dev,
               libstartup-notification0-dev (>= 0.11),
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.47.0),
               pkg-config (>= 0.22),
               sassc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell

Package: gnome-shell
Architecture: linux-any
Depends: evolution-data-server (>= 3.17.2),
         gir1.2-accountsservice-1.0,
         gir1.2-atspi-2.0 (>= 2.9.91),
         gir1.2-freedesktop,
         gir1.2-gcr-3 (>= 3.7.5),
         gir1.2-gdesktopenums-3.0 (>= 3.12),
         gir1.2-gdm-1.0 (>= 3.18.2),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 1.56.0),
         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.33.4),
         gir1.2-gtk-3.0 (>= 3.16),
         gir1.2-gweather-3.0 (>= 3.25.91),
         gir1.2-ibus-1.0 (>= 1.5.2),
         gir1.2-mutter-5 (>= 3.34.1),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-2.4 (>= 2.40.1),
         gir1.2-upowerglib-1.0 (>= 0.99),
         gjs (>= 1.47.90),
         gnome-settings-daemon (>= 3.16.0),
         gnome-shell-common (= ${source:Version}),
         ubuntu-wallpapers,
         gsettings-desktop-schemas (>= 3.33.1),
         libglib2.0-bin (>= 2.53.0),
         mutter (>= 3.34.1),
         python3,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt (>= 0.3),
            gdm3 (>= 3.10.0.1-3~),
            gkbd-capplet,
            gnome-control-center (>= 1:3.25.2),
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            switcheroo-control,
            ubuntu-session | gnome-session,
            xserver-xorg-legacy,
            unzip
Suggests: chrome-gnome-shell,
          gir1.2-telepathyglib-0.12,
          gnome-themes-standard-data,
          gnome-backgrounds (>= 3.13.90),
          gir1.2-telepathylogger-0.2 (>= 0.8.0)
Breaks: gdm3 (<< 3.19.92),
        gnome-session (<< 3.19),
        gnome-shell-extension-appindicator (<< 30),
        gnome-shell-extension-autohidetopbar (<< 20180511-2~),
        gnome-shell-extension-caffeine (<< 0~git20171229-3~),
        gnome-shell-extension-dash-to-panel (<= 18-1),
        gnome-shell-extension-dashtodock (<= 64-1),
        gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814),
        gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
        gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 21-4~),
        gnome-shell-extension-ubuntu-dock (<< 66ubuntu19.10.1),
        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
        gnome-shell-pomodoro (<< 0.13.4-2.1~),
        nautilus (<< 1:3.30),
        yaru-theme (<< 19.10.1),
Conflicts: gnome-screensaver (<< 3.6)
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell
Breaks: gnome-calendar (<< 3.21.4),
        gnome-tweak-tool (<< 3.21.91)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.
