## gnome-shell 3.34.3

=== debian/changelog ===
gnome-shell (3.34.3-1ubuntu1~19.10.1) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Backport to eoan (LP: #1857037, LP: #1858683):
    - Include shadows in window screenshots
    - Use correct timezone for events
    - Fix windows stuck on screen if closed during animation
    - Key navigation fixes
    - Place launched applications into a systemd scope to prevent killing
      applications if the shell crashes in X11 (LP: #1853112)

  [ Iain Lane ]
  * control: Bump yaru-theme Breaks to 19.10.5. This version has some updates
    for gnome-shell 3.34.2 compatibility

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Jan 2020 14:14:52 +0000

gnome-shell (3.34.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Jan 2020 17:54:48 +0000

gnome-shell (3.34.3-1) unstable; urgency=medium

  * New upstream release
    + polkitAgent: Fix confirming via keyboard when password-less
  * control: Bump mutter BD to 3.34.3. This probably isn't *strictly*
    required, but nevertheless let's keep them in sync.

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2020 13:40:57 +0000

gnome-shell (3.34.2-1) unstable; urgency=medium

  * Team upload

  [ Georges Basile Stavracas Neto ]
  * Add gnome-menus to Recommends.
    The files installed by gnome-menus are needed for the functionality of
    suggesting a name for a new folder to work.

  [ Simon McVittie ]
  * d/watch: Only watch for stable releases
  * New upstream release
  * d/gbp.conf: Use upstream/3.34.x branch
  * Add build-dependency on libgnome-desktop-3-dev (>= 3.34.2) for new
    systemd scope functionality
  * Remove Breaks/Conflicts on packages older than Debian 9 (oldstable)
  * Remove unused Lintian override
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 16:55:02 +0000

gnome-shell (3.34.1+git20191024-1ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to eoan.
  * debian/control, gbp.conf: Update for ubuntu/eoan branch

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2019 17:22:18 +0100

gnome-shell (3.34.1+git20191024-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.

