=== debian/control ===
--- 
+++ 
@@ -37,12 +37,13 @@
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
+               libgnome-desktop-3-dev (>= 3.34.2),
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-5-dev (>= 3.34.1),
+               libmutter-5-dev (>= 3.34.3),
                libnm-dev (>= 1.10.4) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
                libpulse-dev (>= 2.0),
@@ -60,11 +61,11 @@
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell -b ubuntu/eoan
 Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell
 
 Package: gnome-shell
@@ -83,7 +84,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-5 (>= 3.34.1),
+         gir1.2-mutter-5 (>= 3.34.3),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -97,7 +98,7 @@
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          libglib2.0-bin (>= 2.53.0),
-         mutter (>= 3.34.1),
+         mutter (>= 3.34.3),
          python3,
          ${gir:Depends},
          ${misc:Depends},
@@ -106,6 +107,7 @@
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
+            gnome-menus,
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
@@ -118,9 +120,7 @@
           gnome-themes-standard-data,
           gnome-backgrounds (>= 3.13.90),
           gir1.2-telepathylogger-0.2 (>= 0.8.0)
-Breaks: gdm3 (<< 3.19.92),
-        gnome-session (<< 3.19),
-        gnome-shell-extension-appindicator (<< 30),
+Breaks: gnome-shell-extension-appindicator (<< 30),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
@@ -134,8 +134,7 @@
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         nautilus (<< 1:3.30),
-        yaru-theme (<< 19.10.1),
-Conflicts: gnome-screensaver (<< 3.6)
+        yaru-theme (<< 19.10.5),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -150,7 +149,5 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: yaru-theme-gnome-shell
-Breaks: gnome-calendar (<< 3.21.4),
-        gnome-tweak-tool (<< 3.21.91)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
