=== debian/control ===
--- 
+++ 
@@ -27,12 +27,11 @@
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
-               libcroco3-dev (>= 0.6.8),
                libecal2.0-dev (>= 3.33.1),
                libedataserver1.2-dev (>= 3.17.2),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.57.3),
+               libgjs-dev (>= 1.58.1-2ubuntu1),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
@@ -43,7 +42,7 @@
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-5-dev (>= 3.34.3),
+               libmutter-6-dev (>= 3.35.91),
                libnm-dev (>= 1.10.4) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
                libpulse-dev (>= 2.0),
@@ -65,7 +64,7 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell -b ubuntu/eoan
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell
 Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell
 
 Package: gnome-shell
@@ -84,7 +83,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-5 (>= 3.34.3),
+         gir1.2-mutter-6 (>= 3.35.91),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -92,13 +91,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
-         gjs (>= 1.47.90),
+         gjs (>= 1.58.1-2ubuntu1),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          libglib2.0-bin (>= 2.53.0),
-         mutter (>= 3.34.3),
+         mutter (>= 3.35.91),
          python3,
          ${gir:Depends},
          ${misc:Depends},
@@ -120,21 +119,21 @@
           gnome-themes-standard-data,
           gnome-backgrounds (>= 3.13.90),
           gir1.2-telepathylogger-0.2 (>= 0.8.0)
-Breaks: gnome-shell-extension-appindicator (<< 30),
+Breaks: gnome-shell-extension-appindicator (<< 32),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
-        gnome-shell-extension-dashtodock (<= 64-1),
-        gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814),
+        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
+        gnome-shell-extension-desktop-icons (<< 19.10.2+git20200223),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-ubuntu-dock (<< 66ubuntu19.10.1),
+        gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.1),
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         nautilus (<< 1:3.30),
-        yaru-theme (<< 19.10.5),
+        yaru-theme-gnome-shell (<< 20.04.2),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
