=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
-		--libexecdir=/usr/lib/gnome-shell \
 		$(CONFFLAGS)
 
 override_dh_translations:
