## gnome-shell 3.36.1

=== debian/changelog ===
gnome-shell (3.36.1-5ubuntu1) focal; urgency=medium

  * Merge with debian
  * debian/patches: appDisplay: Look up directory- instead of category
    translations (LP: #1872434)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 15 Apr 2020 03:00:46 +0200

gnome-shell (3.36.1-5) unstable; urgency=medium

  * Team upload
  * Merge changelog from unstable
  * Upload to unstable (transition: #954422)
  * d/gbp.conf: Follow upstream/3.36.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 17:56:07 +0100

gnome-shell (3.34.4-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch to debian/unstable branch.
    debian/master is now in use for 3.35.x.
  * New upstream release
  * Apply post-release fixes up to 3.34.4-1-g99d948559
  * Bump Standards-Version to 4.5.0

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2020 16:26:07 +0000

gnome-shell (3.36.1-4ubuntu1) focal; urgency=medium

  * Merge with debian, with new upstream releases and cherry-picked fixes:
    - Lockscreen password field is stretched on enter (LP: #1869916)
    - Downscaled lockscreen background with fractional scaling (LP: #1866851)
    - Volume keys doesn't always produce a sound (LP: #1870958)
    - Shell crashes when using show-apps button in dock (LP: #1868659)
    - App folders improvements
    - Don't load app infos in the main thread
  * debian/patches:
    - Refreshed
  * d/p/ubuntu/desktop_detect.patch:
    - No need to include desktop.js into the prefs gresources anymore
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

  [ Daniel van Vugt ]
  * d/p/ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch:
     Stop the Ubuntu logo from disappearing and fading back in on the login
     screen (LP: #1867133)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Apr 2020 14:57:47 +0200

gnome-shell (3.36.1-4) experimental; urgency=medium

  * Team upload
  * extensions-app: Patch back in basic compatibility with old invocation.
    There are enough extensions in Debian that rely on being able to
    run "gnome-shell-extension-prefs <extension-UUID>" that we can't
    really drop this immediately.
    Mitigates: #956162, #956163, #956164, #956165, #956166, #956167,
    #956168, #956169, #956170, #956171, #956172

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:19:11 +0100

gnome-shell (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Require an ibus version where #955769 (LP: #1869641) has been fixed
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-31-ga6783692c

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:29 +0100

gnome-shell (3.36.1-2) experimental; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-19-gdfcc5ffb1
    - Drop commit c89d6a63 for now, there seems to be some doubt as to
      whether it is fully correct

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Apr 2020 12:17:51 +0100

gnome-shell (3.36.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were applied upstream
  * Build-depend on appstream, for its gettext .its integration
  * Install new AppStream metadata for extensions tool
  * Install bash completion for gnome-extensions CLI
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-12-g3a863ee34
    - Translation updates
    - Don't override DesktopAppInfo desktop in Ubuntu's GNOME session,
      so NotShowIn=ubuntu works (LP: #1869905)
    - Various other bug fixes

  [ Laurent Bigonville ]
  * debian/control.in: Bump gir1.2-gnomedesktop-3.0 (build-)dependency


