=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --with bash_completion
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS = \
@@ -15,6 +15,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
+		-Dbash_completion=true \
 		$(CONFFLAGS)
 
 override_dh_translations:
